## passt 0.0~git20251208.e8b56a3

=== debian/changelog ===
passt (0.0~git20251208.e8b56a3-1) unstable; urgency=medium

  * New upstream version 0.0~git20251208.e8b56a3:
    - keep CAP_DAC_OVERRIDE initially (when started as root),
      https://github.com/libguestfs/libguestfs/pull/218
    - don't require global IPv6 address on template interface,
      https://bugs.passt.top/show_bug.cgi?id=122
    - ARP table lookup to preserve MAC addresses from local networks,
      https://bugs.passt.top/show_bug.cgi?id=120
    - fix handling of UDP packets with --freebind,
      https://bugs.passt.top/show_bug.cgi?id=174
    - retry SYN segments on inbound connections,
      https://bugs.passt.top/show_bug.cgi?id=153
    - preserve non-127.0.0.1 loopback address when splice forwarding,
      https://bugs.passt.top/show_bug.cgi?id=113
    - pad inbound frames to 60 bytes (802.3 minimum),
      https://bugs.passt.top/show_bug.cgi?id=166
    - don't let "local mode" enable explicitly disable IP version,
      enable local mode for IPv4 and IP6 separately,
      https://bugs.passt.top/show_bug.cgi?id=128
      https://bugs.passt.top/show_bug.cgi?id=129

 -- Stefano Brivio <sbrivio@redhat.com>  Mon, 08 Dec 2025 15:41:28 +0100
