## passt 0.0~git20251209.c3f1ba7

=== debian/changelog ===
passt (0.0~git20251209.c3f1ba7-1) unstable; urgency=medium

  * New upstream version 0.0~git20251209.c3f1ba7: fix potential
    assert on errors for inbound container loopback connections

 -- Stefano Brivio <sbrivio@redhat.com>  Tue, 09 Dec 2025 01:38:05 +0100
