## passt 0.0~git20251210.d04c480

=== debian/changelog ===
passt (0.0~git20251210.d04c480-1) unstable; urgency=medium

  * New upstream version 0.0~git20251210.d04c480:
    - fix inbound connections to loopback address with IPv6 local mode
      (no IPv6 addresses/routes, but IPv6 enabled),
      https://bugs.passt.top/show_bug.cgi?id=181
    - fix timeout values in trace logs,
      https://bugs.passt.top/show_bug.cgi?id=182

 -- Stefano Brivio <sbrivio@redhat.com>  Wed, 10 Dec 2025 14:44:51 +0100
