## passt 0.0~git20251215.b40f5cd

=== debian/changelog ===
passt (0.0~git20251215.b40f5cd-1) unstable; urgency=high

  * New upstream version 0.0~git20251215.b40f5cd:
    - fix outbound data transfers when entire sending buffer from the
      kernel is less than the MSS,
      https://bugs.passt.top/show_bug.cgi?id=183 (Closes: #1122950)

 -- Stefano Brivio <sbrivio@redhat.com>  Mon, 15 Dec 2025 10:21:41 +0100
