## passt 0.0~git20251223.2ba9fd5

=== debian/changelog ===
passt (0.0~git20251223.2ba9fd5-1) unstable; urgency=medium

  * New upstream version 0.0~git20251223.2ba9fd5:
    - keep pasta running if IPv6 support is disabled in kernel,
      https://bugzilla.redhat.com/show_bug.cgi?id=2424192

 -- Stefano Brivio <sbrivio@redhat.com>  Wed, 24 Dec 2025 08:26:53 +0100
