## passt 0.0~git20260117.81c97f6

=== debian/changelog ===
passt (0.0~git20260117.81c97f6-1) unstable; urgency=medium

  * New upstream version 0.0~git20260117.81c97f6:
    - add AppArmor rules to access kernel retransmission timeout
      parameters via sysctl,
      https://bugzilla.redhat.com/show_bug.cgi?id=2426863
    - fix busyloop with UDP traffic when vhost-user is not fully
      connected yet, https://bugs.passt.top/show_bug.cgi?id=185
    - follow-up fix for https://bugs.passt.top/show_bug.cgi?id=183,
      improving TCP transfer throughput between nodes with low RTT
    - upgrade AppArmor ABI version to 4.0 and explicitly allow user
      namespace creation in policy, needed when libvirtd calls passt
      as root (Closes: #1124801)

 -- Stefano Brivio <sbrivio@redhat.com>  Sat, 17 Jan 2026 16:32:58 +0100
