=== debian/changelog ===
passt (0.0~git20260120.386b5f5-1) unstable; urgency=medium

  * control: Update standards version to 4.7.3, drop Priority field
  * New upstream version 0.0~git20260120.386b5f5:
    - introduce implementation of forwarding rules table, which has
      the side effect of fixing Podman container restarts:
      https://github.com/containers/podman/issues/23737
      https://github.com/containers/podman/issues/27634
    - introduce --splice-only option, to forward loopback traffic only

 -- Stefano Brivio <sbrivio@redhat.com>  Tue, 20 Jan 2026 22:44:56 +0100
