## passt 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: passt
 Type: Package
 Title: Probability Associator Time (PASS-T)
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: person("Johannes", "Titz",
                   email = "johannes.titz@gmail.com",
                   role = c("aut", "cre"))
@@ -19,15 +19,15 @@
 License: GPL-3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 URL: https://github.com/johannes-titz/passt
 BugReports: https://github.com/johannes-titz/passt/issues
 Suggests: knitr, ggplot2, plyr, testthat (>= 2.1.0), covr
 VignetteBuilder: knitr
-Imports: magrittr,dplyr,tidyr,rlang
+Imports: magrittr,methods,dplyr,tidyr,rlang
 NeedsCompilation: no
-Packaged: 2019-11-01 09:17:10 UTC; jt
+Packaged: 2019-12-05 13:42:32 UTC; jt
 Author: Johannes Titz [aut, cre]
 Maintainer: Johannes Titz <johannes.titz@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-11-05 10:00:02 UTC
+Date/Publication: 2019-12-05 14:30:02 UTC
