## passt 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: passt
 Type: Package
 Title: Probability Associator Time (PASS-T)
-Version: 0.1.1
+Version: 0.1.3
 Authors@R: person("Johannes", "Titz",
                   email = "johannes.titz@gmail.com",
                   role = c("aut", "cre"))
@@ -18,16 +18,16 @@
     human judgments of frequency and duration.
 License: GPL-3
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.0.2
 URL: https://github.com/johannes-titz/passt
 BugReports: https://github.com/johannes-titz/passt/issues
-Suggests: knitr, ggplot2, plyr, testthat (>= 2.1.0), covr
+Suggests: knitr, ggplot2, plyr, testthat (>= 2.1.0), covr, markdown,
+        rmarkdown
 VignetteBuilder: knitr
 Imports: magrittr,methods,dplyr,tidyr,rlang
 NeedsCompilation: no
-Packaged: 2019-12-05 13:42:32 UTC; jt
+Packaged: 2021-05-03 13:50:51 UTC; jt
 Author: Johannes Titz [aut, cre]
 Maintainer: Johannes Titz <johannes.titz@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-12-05 14:30:02 UTC
+Date/Publication: 2021-05-03 14:30:02 UTC
